.loading {
  width: 55px;
  height: 30px;
  position: fixed;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
  z-index: 9998;
}

.loading_circle {
  width: 10px;
  height: 10px;
  position: absolute;
  border-radius: 50%;
  background-color: #ffcc00;
  left: 0%;
  top: 20px;
  transform-origin: 50%;
  animation: circleBeat 0.7s alternate infinite ease;
}

.loading_circle:nth-child(2) {
  left: 25%;
  animation-delay: 0.1s;
  background-color: orange;

}

.loading_circle:nth-child(3) {
  left: 50%;
  background-color: #ec0909;
  animation-delay: 0.2s;
}

.loading_circle:nth-child(4) {
  left: 75%;
  animation-delay: 0.3s;
  background-color: #76D3FF;
}

.loading_text {
  position: absolute;
  top: 40px;
  left: -10px;
  font-size: 12px;
  text-align: center;
  width: 70px;
  opacity: 0.8;
  margin: 0;
  font-family: Arial, Helvetica, sans-serif;
}

@keyframes circleBeat {
  0% {
    top: 30px;
    height: 5px;
    border-radius: 50px 50px 40px 40px;
    transform: scaleX(1.5);
  }
  20% {
    height: 15px;
    border-radius: 50%;
    transform: scaleX(1);
  }
  30% {
    top: 20px;
  }
}
